皇上,还记得我吗?我就是1999年那个Linux伊甸园啊-----24小时滚动更新开源资讯,全年无休!

Apache Jackrabbit 2.19.4 发布,内容储存库

Apache Jackrabbit 2.19.4 发布了,它并非稳定版本,而是专注于新功能和改进,建议在生产中使用最新的 2.18.x 稳定版本。

2.19.4 更新内容如下:

Bug

  • [JCR-4459] – HTTPS URI 的基本身份验证不起作用

Improvement

  • [JCR-4448] – 更新 jackrabbit-parent/pom.xml 中的提交者列表

Task

  • [JCR-4437] – Tika 依赖升级至 1.21
  • [JCR-4438] – jcr-webdav: AbstractLocatorFactory – 修复 Javadoc 并添加跟踪日志记录
  • [JCR-4439] – 禁用对 jackrabbit-bundle 的基线检查
  • [JCR-4440] – 删除 jackrabbit-bundle
  • [JCR-4441] – surefire/failsafe 依赖升级至 2.22.2
  • [JCR-4442] – animal-sniffer 依赖升级至 1.18
  • [JCR-4443] – 将基线 compareVersion 设置为最新稳定版本 (2.18.2)
  • [JCR-4447] – jackrabbit-jcr-commons: 更新 cglib 依赖
  • [JCR-4449] – 删除 jackrabbit-api 并使用 oak-jackrabbit-api 代替
  • [JCR-4450] – checkstyle-plugin 依赖升级至 3.1.0
  • [JCR-4451] – jar-plugin 依赖升级至 3.1.2
  • [JCR-4452] – war-plugin 依赖升级至 3.2.3
  • [JCR-4453] – pmd-plugin 依赖升级至 3.12.0
  • [JCR-4454] – surefire-report-plugin 依赖升级至 2.22.2
  • [JCR-4457] – httpclient/mime 依赖升级至 4.5.9
  • [JCR-4460] – 允许使用自定义 servlet 上下文路径运行远程一致性测试
  • [JCR-4464] – 依赖升级至 1.22

发布公告 | 下载地址

转自 https://www.oschina.net/news/109404/jackrabbit-2-19-4-released

分享到:更多 ()